<?xml version="1.0" encoding="shift_jis"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>

<xsl:template match="/">
<HTML>
	<HEAD>
		<B>ƖǗt@CiJSt@CjiINDEX_DJ.XMLj</B>
		<HR/>
		<TITLE>ƖǗt@CiJSt@CjiINDEX_DJ.XMLj</TITLE>
		<STYLE type="text/css">
			td {font-size: 10pt;}
			th {font-size: 10pt; background-color: LightCyan}
			.subtitle {background-color: RoyalBlue; font-weight: bold; color: white}
			.subsubtitle {background-color: PaleTurquoise; font-weight: bold; color: black}
			.subsubsubtitle {background-color: LightCyan; font-weight: bold; color: black}
		</STYLE>
	</HEAD>
	<BODY>
		<xsl:apply-templates/>
	</BODY>
</HTML>
<P/>

</xsl:template>

<xsl:template match="tǗ\f[^">
	<table border="1" cellspacing="0" cellpadding="4">
	<FONT size="+1">

		<xsl:for-each select="../tǗ\f[^">
		
		<tr>
			<td rowspan="13" class="subtitle"><xsl:value-of select="name()"/></td>
			<td colspan="2" class="subsubsubtitle">ss</td>
			<xsl:variable name="elm-cnt" select="count(ss)"/>
			<xsl:if test="$elm-cnt=0"><td><xsl:call-template name="elm-empty"/></td></xsl:if>
			<xsl:if test="$elm-cnt!=0">
				<xsl:for-each select="ss">
					<td><xsl:call-template name="textdata"/></td>
				</xsl:for-each>
			</xsl:if>
		</tr>
		<tr>
			<td colspan="2" class="subsubsubtitle">Nx</td>
			<xsl:variable name="elm-cnt2" select="count(Nx)"/>
			<xsl:if test="$elm-cnt2=0"><td><xsl:call-template name="elm-empty"/></td></xsl:if>
			<xsl:if test="$elm-cnt2!=0">
				<xsl:for-each select="Nx">
				<td><xsl:call-template name="textdata"/></td>
				</xsl:for-each>
			</xsl:if>
		</tr>
		<tr>
			<td colspan="2" class="subsubsubtitle">Ɩϑ</td>
			<xsl:variable name="elm-cnt1" select="count(Ɩϑ)"/>
			<xsl:if test="$elm-cnt1=0"><td><xsl:call-template name="elm-empty"/></td></xsl:if>
			<xsl:if test="$elm-cnt1!=0">
				<xsl:for-each select="Ɩϑ">
				<td><xsl:call-template name="textdata"/></td>
				</xsl:for-each>
			</xsl:if>
		</tr>
		<tr>
			<td colspan="2" class="subsubsubtitle">Ɩϑԍ</td>
			<xsl:variable name="elm-cnt3" select="count(Ɩϑԍ)"/>
			<xsl:if test="$elm-cnt3=0"><td><xsl:call-template name="elm-empty"/></td></xsl:if>
			<xsl:if test="$elm-cnt3!=0">
				<xsl:for-each select="Ɩϑԍ">
				<td><xsl:call-template name="textdata"/></td>
				</xsl:for-each>
			</xsl:if>
		</tr>
		<tr>
			<td colspan="2" class="subsubsubtitle">ƎҖ</td>
			<xsl:variable name="elm-cnt4" select="count(ƎҖ)"/>
			<xsl:if test="$elm-cnt4=0"><td><xsl:call-template name="elm-empty"/></td></xsl:if>
			<xsl:if test="$elm-cnt4!=0">
				<xsl:for-each select="ƎҖ">
				<td><xsl:call-template name="textdata"/></td>
				</xsl:for-each>
			</xsl:if>
		</tr>
		<tr>
			<td colspan="2" class="subsubsubtitle">{ݖ</td>
			<xsl:variable name="elm-cnt5" select="count({ݖ)"/>
			<xsl:if test="$elm-cnt5=0"><td><xsl:call-template name="elm-empty"/></td></xsl:if>
			<xsl:if test="$elm-cnt5!=0">
				<xsl:for-each select="{ݖ">
				<td><xsl:call-template name="textdata"/></td>
				</xsl:for-each>
			</xsl:if>
		</tr>
		<tr>
			<td colspan="2" class="subsubsubtitle">_z</td>
			<xsl:variable name="elm-cnt6" select="count(_z)"/>
			<xsl:if test="$elm-cnt6=0"><td><xsl:call-template name="elm-empty"/></td></xsl:if>
			<xsl:if test="$elm-cnt6!=0">
				<xsl:for-each select="_z">
				<td><xsl:call-template name="textdata"/></td>
				</xsl:for-each>
			</xsl:if>
		</tr>
		<tr>
			<td colspan="2" class="subsubsubtitle">ƖN</td>
			<xsl:variable name="elm-cnt7" select="count(ƖN)"/>
			<xsl:if test="$elm-cnt7=0"><td><xsl:call-template name="elm-empty"/></td></xsl:if>
			<xsl:if test="$elm-cnt7!=0">
				<xsl:for-each select="ƖN">
				<td><xsl:call-template name="textdata"/></td>
				</xsl:for-each>
			</xsl:if>
		</tr>
		<tr>
			<td colspan="2" class="subsubsubtitle">ƖN</td>
			<xsl:variable name="elm-cnt8" select="count(ƖN)"/>
			<xsl:if test="$elm-cnt8=0"><td><xsl:call-template name="elm-empty"/></td></xsl:if>
			<xsl:if test="$elm-cnt8!=0">
				<xsl:for-each select="ƖN">
				<td><xsl:call-template name="textdata"/></td>
				</xsl:for-each>
			</xsl:if>
		</tr>
		<tr>
			<td colspan="2" class="subsubsubtitle">vWFNgR[h</td>
			<xsl:variable name="elm-cnt9" select="count(vWFNgR[h)"/>
			<xsl:if test="$elm-cnt9=0"><td><xsl:call-template name="elm-empty"/></td></xsl:if>
			<xsl:if test="$elm-cnt9!=0">
				<xsl:for-each select="vWFNgR[h">
				<td><xsl:call-template name="textdata"/></td>
				</xsl:for-each>
			</xsl:if>
		</tr>
		<tr>
			<td colspan="2" class="subsubsubtitle">hLgʖ</td>
			<xsl:variable name="elm-cnt10" select="count(hLgʖ)"/>
			<xsl:if test="$elm-cnt10=0"><td><xsl:call-template name="elm-empty"/></td></xsl:if>
			<xsl:if test="$elm-cnt10!=0">
				<xsl:for-each select="hLgʖ">
				<td><xsl:call-template name="textdata"/></td>
				</xsl:for-each>
			</xsl:if>
		</tr>
		<tr>
			<td colspan="2" class="subsubsubtitle">{݌v}ot@C</td>
			<xsl:variable name="elm-cnt11" select="count({݌v}ot@C)"/>
			<xsl:if test="$elm-cnt11=0"><td><xsl:call-template name="elm-empty"/></td></xsl:if>
			<xsl:if test="$elm-cnt11!=0">
				<xsl:for-each select="{݌v}ot@C">
				<td><xsl:call-template name="textdata"/></td>
				</xsl:for-each>
			</xsl:if>
		</tr>
		<tr>
			<td colspan="2" class="subsubsubtitle">{݌vʕot@C</td>
			<xsl:variable name="elm-cnt12" select="count({݌vʕot@C)"/>
			<xsl:if test="$elm-cnt12=0"><td><xsl:call-template name="elm-empty"/></td></xsl:if>
			<xsl:if test="$elm-cnt12!=0">
				<xsl:for-each select="{݌vʕot@C">
				<td><xsl:call-template name="textdata"/></td>
				</xsl:for-each>
			</xsl:if>
		</tr>
		
		</xsl:for-each>

		<xsl:for-each select="../\tg[JpTAG">
			<xsl:variable name="cnt" select="count(../\tg[JpTAG)"/>
			<xsl:if test="$cnt=0"><td colspan="3"><xsl:call-template name="elm-empty"/></td></xsl:if>
			<xsl:if test="$cnt!=0">
				<tr>
				<xsl:if test="position()=1">
					<td rowspan="{$cnt}" colspan="3" class="subtitle"><xsl:value-of select="name()"/></td>
				</xsl:if>
				<td><xsl:value-of select="."/></td>
				</tr>
			</xsl:if>
		</xsl:for-each>

	</FONT>
	</table>

</xsl:template>

<xsl:template match="\tg[JpTAG"/>

<xsl:template name="textdata">
	<xsl:variable name="char-cnt" select="string-length()"/>
	<xsl:if test="$char-cnt=0"><xsl:call-template name="elm-empty"/></xsl:if>
	<xsl:if test="$char-cnt!=0"><xsl:apply-templates/></xsl:if>
</xsl:template>

<xsl:template name="elm-empty">
	<xsl:text><!--̃Xy[X}܂B-->@</xsl:text>
</xsl:template>

</xsl:stylesheet>